# PetscViewerBinaryWriteStringArray

writes to a binary file, only from the first process an array of strings

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerBinaryWriteStringArray(PetscViewer viewer,char **data)

Collective on MPI_Comm

### Input Parameters

| viewer | - the binary viewer
| data | - location of the array of strings

Notes: array of strings is null terminated

### See Also

PetscViewerASCIIOpen(), PetscViewerSetFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead()

Level:intermediate
Location: src/sys/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages